import { ValueWithOptions } from './value-with-options';
/**
 * Abstract class used to represent components where a single option is selected
 * from a set of options.
 */
export declare abstract class SingleSelectionValue extends ValueWithOptions {
    /**
     * Index of the selected option; `-1` when none of the available options is
     * selected.
     */
    readonly selectedOption: number;
}
