import { ValidationError } from '@lightweightform/storage';
import { Toggleable } from '../../abstract/toggleable';
/**
 * HTML string of the validation panel component.
 */
export declare const validationPanelComponentHtml: string;
/**
 * Validation panel component.
 */
export declare class ValidationPanelComponent extends Toggleable {
    /**
     * Path currently being viewed.
     */
    private _currentPath;
    private lfRouter;
    private validationMessagesService;
    ngOnInit(): void;
    readonly errorsText: string;
    readonly warningsText: string;
    readonly noErrorsText: string;
    readonly nextButtonTooltipText: any;
    readonly prevButtonTooltipText: any;
    readonly closeButtonTooltipText: any;
    show(): void;
    readonly isPending: boolean;
    readonly currentPath: string;
    readonly currentLabel: string;
    readonly hasNext: boolean;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationError[];
    readonly warnings: ValidationError[];
    readonly hasNoErrors: boolean;
    readonly panelType: "secondary" | "danger" | "warning" | "success";
    private readonly _pages;
    validationErrorMessage(validationError: ValidationError): string;
    private readonly _validationErrors;
}
